%define debug_package %{nil}

Name: ovs-agent
Version: 3.0.3
Release: 41.2
Summary: Agent for Oracle VM
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-3.0.tar.bz2
Patch1: dummy.patch
Patch2: bring-up-vip.patch
Patch3: bridge-port-ip.patch
Patch4: stats-on.patch
Patch5: disable-tracing-for-vm-listing.patch
Patch6: retry-failed-mounts.patch
Patch7: fix-unboundlocalerror.patch
Patch8: db-update-on-remaster.patch
Patch9: file-locks-for-monitor-setup.patch
Patch10: code-refactoring.patch
Patch11: retry-send-on-fail.patch
Patch12: queue-fix.patch
Patch13: stats-interval.patch
Patch14: replace-sleep-with-file-locks.patch
Patch15: replace-get_cluster_state-with-is_clustered.patch
Patch16: improve-db-access.patch
Patch17: only-log-stats-sending-error.patch
Patch18: rename-internal-functions.patch
Patch19: log-mount-umount-disable-lazy-umount.patch
Patch20: make-log-level-change-work.patch
Patch21: scrub-password.patch
Patch22: clean-function.patch
Patch23: src-ip-url.patch
Patch24: unknow-ip.patch
Patch25: allow-vlan-on-bprot.patch
Patch26: format-lock-names.patch
Patch27: add-truncate-option-to-create_db.patch
Patch28: repository-erase.patch
Patch29: get_db_home_first.patch
Patch30: repository-alias-unicode.patch
Patch31: update-cluster_remove_server.patch
Patch32: parse-url.patch
Patch33: debug-prints.patch
Patch34: fix-incorrect-variable-name.patch
Patch35: network-meta-unicode-support.patch
Patch36: remove-timestamp-from-discover.patch
Patch37: reset-connect-on-error.patch
Patch38: log-details-on-umount-failure.patch
Patch39: send-to-guest-key-value-limitation.patch
Patch40: fix-origdev.patch
Patch41: vm-list-parse-pci.patch
Patch42: wrong-url.patch
Patch43: no-invalid-url-chk.patch
Patch44: log-content-in-base64.patch
Patch45: repository-erase-boolean.patch
Patch46: timing-issue-during-cluster-conf-update.patch
Patch47: set-miimon.patch
Patch48: ignore-slave-qid.patch
Patch49: fix-import-error.patch
Patch50: update-pool-test-script.patch
Patch51: service-stop-priority-to-00.patch
Patch52: fix-authentication.patch
Patch53: binding-cmd-ip.patch
Patch54: samll-change.patch
Patch55: fix-send-error.patch
Patch56: fuser-mount.patch
Patch57: deviceResize.patch
Patch58: device_Resize.patch
Patch59: fix_indent.patch
Patch60: support-different-cluster-names.patch
Patch61: reconfig-virtual-ip.patch
Patch62: handle-umount-error.patch
Patch63: handle-mount-umount-exception.patch
Patch64: log-auth-error.patch
Patch65: fix-indentation.patch
Patch66: console.patch
Patch67: orphaned_lun_cleanup.patch
Patch68: console-uptime-calculation.patch
Patch69: is_cluster_online.patch
Patch70: ocfs2_get_meta_data.patch
Patch71: ovs-agent-async-proc-logging.patch
Patch72: log-manager-source-ip.patch
Patch73: stats-delete-file-after-notification.patch
Patch74: stats-fix-type-file.patch
Patch75: remove-socket-timeout.patch
Patch76: no-exception-if-vip-already-configured.patch
Patch77: daemon-umask-to-077.patch
Patch78: remove-mount-point.patch
Patch79: check-free-space-before-poolfs-creation.patch
Patch80: close-file-on-exception.patch
Patch81: default-monitor-interval-to-20s.patch
Patch82: disable-monitor-plugin-scan.patch
Patch83: donnot-fail-on-remove-dir-failure.patch
Patch84: log-debug-info-on-cluster-online-failure.patch
Patch85: set-ha-timeout.patch
Patch86: mkfs-ocfs2-force.patch
Patch87: deploy-assembly-return-map.patch
Patch88: stats-remove-ha-support.patch
Patch89: refactor-monitor-reload.patch
Patch90: enlarge-poolfs.patch
Patch91: vlan-race-cond.patch
Patch92: log-umount-failure-with-lsof.patch
Patch93: preserve-bdr.patch
Patch94: fix-missing-import.patch
Patch95: cleanup-broken-symlink.patch
Patch96: change-tabs-to-spaces.patch
Patch97: fix-missing-import.patch_22866
Patch98: stat-move-invalid-dir-check.patch
Patch99: dont-log-impi-username-passwd.patch
Patch100: corrupt-ocfs2-after-poolfs-deletion.patch
Patch101: log-cluster-debug.patch
Patch102: stats-sort.patch
Patch103: rename-iso.patch
Patch104: stats-use-server-id.patch
Patch105: set-ntp-substitute-manager-src-ip.patch
Patch106: get-last-boot-time-add-local-time.patch
Patch107: log-vip-auto-conf.patch
Patch108: typo-correction.patch
Patch109: import-template-return-map.patch
Patch110: exception-hanlding-in-is_vm_running.patch
Patch111: subprocess-to-start-nptd-service.patch
Patch112: remove-primary.patch
Patch113: stats-read-stat-interval-on-every-loop.patch
Patch114: sync-dlm-lock-access.patch
Patch115: console-improvement.patch
Patch116: fix-password-in-log.patch
Patch117: clean-up-userdlm-domains.patch
Patch118: typo-correction.patch_14100
Patch119: send-remaster-event-once-again.patch
Patch120: reset-manager-conn.patch
Patch121: log-ovs-version.patch
Patch122: remove-debug-code.patch
Patch123: clean-up-userdlm-domains.patch_3842
Patch124: revert-r6700-to-r6694.patch
Patch125: fix-incorrect-sleep.patch
Patch126: ovs-version-new-format.patch
Patch127: fix-typos-found-by-pylint.patch
Patch128: remove-file-locks-for-cluster-conf-update.patch
Patch129: use-tar-to-extract-tarball.patch
Patch130: log-stack-trace.patch
Patch131: fix-cluster-conf-rollback.patch
Patch132: exclusion_list.patch
Patch133: fix-vm-test-case.patch
Patch134: ignore-unsupported-tarfile.patch
Patch135: set-o2cb-sysconfig-default-values.patch
Patch136: license-header.patch
Patch137: discover-poolfs-no-exception.patch
Patch138: check-dlmfs-only-during-dlm-lock-operations.patch
Patch139: vm-start-timeout.patch
Patch140: replace-os-rename.patch
Patch141: import-assembly-clean-up-after-failure.patch
Patch142: donnot-trace-send-to-guest.patch
Patch143: continue-poolfs-creation-when-ocfs2-corrupted.patch
Patch144: ovs-agent-keygen-help.patch
Patch145: monitor-grace-time-to-3600.patch
Patch146: single-port-bond.patch
Patch147: allow-server-removal-when-hb-configured.patch
Patch148: log-stack-trace.patch_8607
Patch149: log-stdout-when-run_cmd-fails.patch
Patch150: enable-ntpdate.patch
Patch151: ovfxen-allow-empty-description.patch
Patch152: remove_sccaller..patch
Patch153: remove-admin-from-passwd-file.patch
Patch154: remove-error-log-in-progress-report-thread.patch
Patch155: update-rename_file.patch
Patch156: remove-unused-api.patch
Patch157: simplify-mount_device.patch
Patch158: repository-discover-refactor.patch
Patch159: configure-cluster-layout.patch
Patch160: change-cluster-config-format.patch
Patch161: fix-o2cb-config-parsing.patch
Patch162: ha-policy-remove-not-exist-vm.patch
Patch163: infiniband-net-config.patch
Patch164: add-missing-file.patch
Patch165: infiniband-revert.patch
Patch166: is-infiniband-port.patch
Patch167: destroy-corrupted-poolfs.patch
Patch168: fix-undefined-global-name.patch
Patch169: destroy-nfs-based-poolfs.patch
Patch170: change-bond-mode.patch
Patch171: fix-typo-in-prase_cluster_layout.patch
Patch172: ovs-agent-rpc-print-str.patch
Patch173: add-missing-delete-item.patch
Patch174: fix-vlan-config.patch
Patch175: infinibad-net-discover.patch
Patch176: no-fail-repo-delete.patch
Patch177: rev7245.patch
Patch178: configure-vm-set-disk.patch
Patch179: rev7259.patch
Patch180: rev7271.patch
Patch181: nice.patch
Patch182: yum-clean-cache.patch
Patch183: rev7297.patch
Patch184: rev7299.patch
Patch185: stats-rmtree-no-exception-on-missing-files.patch
Patch186: rev7314.patch
Patch187: rev7316.patch
Patch188: rev7318.patch
Patch189: improve-cdrom-support.patch
Patch190: reduce-console-refresh.patch
Patch191: ha-use-ip-instead-of-hostname.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ocfs2-tools-devel >= 1.6.0
Requires: python >= 2.4
Requires: python-simplejson >= 2.0.7
Requires: multiprocessing >= 2.6.1.1
Requires: open-ovf >= 1.1

%description
Agent daemon for Oracle VM.

%prep
%setup -n ovs-agent-3.0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch46 -p0
%patch47 -p0
%patch48 -p0
%patch49 -p0
%patch50 -p0
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p0
%patch56 -p0
%patch57 -p0
%patch58 -p0
%patch59 -p0
%patch60 -p0
%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0
%patch65 -p0
%patch66 -p0
%patch67 -p0
%patch68 -p0
%patch69 -p0
%patch70 -p0
%patch71 -p0
%patch72 -p0
%patch73 -p0
%patch74 -p0
%patch75 -p0
%patch76 -p0
%patch77 -p0
%patch78 -p0
%patch79 -p0
%patch80 -p0
%patch81 -p0
%patch82 -p0
%patch83 -p0
%patch84 -p0
%patch85 -p0
%patch86 -p0
%patch87 -p0
%patch88 -p0
%patch89 -p0
%patch90 -p0
%patch91 -p0
%patch92 -p0
%patch93 -p0
%patch94 -p0
%patch95 -p0
%patch96 -p0
%patch97 -p0
%patch98 -p0
%patch99 -p0
%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0
%patch104 -p0
%patch105 -p0
%patch106 -p0
%patch107 -p0
%patch108 -p0
%patch109 -p0
%patch110 -p0
%patch111 -p0
%patch112 -p0
%patch113 -p0
%patch114 -p0
%patch115 -p0
%patch116 -p0
%patch117 -p0
%patch118 -p0
%patch119 -p0
%patch120 -p0
%patch121 -p0
%patch122 -p0
%patch123 -p0
%patch124 -p0
%patch125 -p0
%patch126 -p0
%patch127 -p0
%patch128 -p0
%patch129 -p0
%patch130 -p0
%patch131 -p0
%patch132 -p0
%patch133 -p0
%patch134 -p0
%patch135 -p0
%patch136 -p0
%patch137 -p0
%patch138 -p0
%patch139 -p0
%patch140 -p0
%patch141 -p0
%patch142 -p0
%patch143 -p0
%patch144 -p0
%patch145 -p0
%patch146 -p0
%patch147 -p0
%patch148 -p0
%patch149 -p0
%patch150 -p0
%patch151 -p0
%patch152 -p0
%patch153 -p0
%patch154 -p0
%patch155 -p0
%patch156 -p0
%patch157 -p0
%patch158 -p0
%patch159 -p0
%patch160 -p0
%patch161 -p0
%patch162 -p0
%patch163 -p0
%patch164 -p0
%patch165 -p0
%patch166 -p0
%patch167 -p0
%patch168 -p0
%patch169 -p0
%patch170 -p0
%patch171 -p0
%patch172 -p0
%patch173 -p0
%patch174 -p0
%patch175 -p0
%patch176 -p0
%patch177 -p0
%patch178 -p0
%patch179 -p0
%patch180 -p0
%patch181 -p0
%patch182 -p0
%patch183 -p0
%patch184 -p0
%patch185 -p0
%patch186 -p0
%patch187 -p0
%patch188 -p0
%patch189 -p0
%patch190 -p0
%patch191 -p0

%build
make build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add ovs-agent
fi
/usr/sbin/ovs-agent-keygen

%preun
if [ "$1" = 0 ]; then
    /sbin/service ovs-agent stop
    /sbin/chkconfig --del ovs-agent
fi

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) /etc/ovs-agent
/etc/init.d/ovs-agent
/etc/xen/scripts
/opt/%{name}-3.0
/usr/sbin

%changelog
* Fri Dec 23 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-41.2 
- ha: use ip instead of hostname to start vm [bug 13529692] 

* Thu Dec 22 2011 Herbert van den Bergh <herbert.van.den.bergh@oracle.com> - 3.0.3-41.1 
- Reduced text console refresh rate from 30 seconds to 300 seconds in order to
  a void  calling  xm_list  many times. [bug 13529699] 

* Wed Nov 30 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-41 
- improve cdrom support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13439769] 

* Tue Nov 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-40 
- Log dmsetup output for debugging.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Nov 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-39 
- When a server joins the cluster, the global variable take_crown is expected to be True. When the master server leaves the cluster, take_crown will not be
  updated. If it rejoins a new cluster as a non-master server, it will keep the
  old take_crown which is incorrect. It will prevent the master flag from being
  updated correctly when it becomes the master server of the new cluster.
  This patch will always update the master flag when it is the master and it will also update take_crown when it is not the master.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Nov 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-38 
- Fixes a bug in nfs_destroy_pool_filesystem() to make sure the pool filesystem
  is umounted correctly; Remount the device when it is already mounted in
  mount_device().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Nov 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-37 
- stats: make rmtree not raise exception on missing files
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13426865] 

* Wed Nov 23 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-36 
- Update the master flag when remaster happens.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Nov 23 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-35 
- When the server fails to get the master lock, VIP deconfiguration conflicts
  with the manual remaster; In this case, master flag update is enough to fix
  the original problem which was address in review request #3753.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Nov 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-34 
- clean yum cache before doing update
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13414991] 

* Tue Nov 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-33 
- Set nice/ionice to copy_file(), import_template(), import_assembly()
  and deploy_assembly().
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13419737] 

* Mon Nov 21 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-32 
- The agent checks if the server is the master and sets the master flag when it
  starts. In most cases, it works well; But when the servers reboots too fast
  (say, in less than 2 min, the default o2cb timeout), we may hit bug #13363156.
  When a server fails to get the master lock,
  - mark the master flag as False
  - if the server is holding VIP, release it
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Nov 17 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-31 
- Add a new script ovs-agent-cleanup.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Nov 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-30 
- add cdrom support for configure_vm.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Nov 14 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-29 
- Update create_pool_filesystem().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri Nov 11 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0.3-28 
- Delete_repository will not return an exception if the repo is not in the repo db [bug 13246450] 

* Thu Nov 10 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.3-27 
- Change network discovery to exclude infiniband devices (ibx,and associated ethx)
  from the device block of network discovery so the manager does not create port
  for each infiniband device discovered. Also I added a block of inifiniband
  devices that show ibx devices not including associated ethx. 

* Thu Nov 10 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.3-26 
- Removed an extra check the caused this problem. [bug 13354449] 

* Thu Nov 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-25 
- add missing delete_item 

* Wed Nov 02 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-24 
- When ovs-agent-rpc returns a string, just print it to get better outpt.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Nov 02 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-23 
- Fixes a typo in parse_cluster_layout().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
   

* Wed Nov 02 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.3-22 
- Add ovs-bond-mode XMLRPC to change the mode of an existing bond. 

* Tue Nov 01 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-21 
- Destroy NFS-based pool filesystem only when necessary.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Nov 01 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-20 
- Fixes a "global name not defined" error.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13263288] 

* Thu Oct 27 2011  <> - 3.0.3-19 
- Allow destruction of corrupted pool filesystem.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12950485] 

* Thu Oct 27 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.3-18 
- Turn on infiniband check 

* Tue Oct 25 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.3-17 
- Revert check for ifinibad 

* Tue Oct 25 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-16 
- install missing file ovs-netcommon.sh
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13253099] 

* Mon Oct 24 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.3-15 
- Prevent any type of network configuration on infiniband devices,
  (bridges,vlans,IP addresses,mtu....etc). 

* Sat Oct 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-14 
- Fix HA policy: when vm.cfg doesn't exist, remove vm from `monitored_vms`.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Oct 19 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-13 
- Fixes a bug in update_config() to parse comments which follow the code in the same line, e.g.,
  "key=value" # comment
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Wed Oct 19 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-12 
- Change the format of cluster layout configuration.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Oct 18 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-11 
- In the following two APIs, cluster_conf could be an instance of either str or
  dict. The core API does not need to check the agent version to determine the
  expected type of cluster_conf.
  configure_server_for_cluster(o2cb_conf, cluster_conf,     poolfs_type, poolfs_target, poolfs_uuid, poolfs_nfsbase_uuid)
  update_cluster_configuration(cluster_conf)
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> 

* Wed Oct 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-10 
- repository discover refactor
  * No interface change.
  * Merge OVSDiscoverRepositories.py in to OVSRepository.py.
  * Make the discover code more simple.
  * Use new locking facility::
  lock = filelock.FileLock('/var/run/ovs-agent/xxx.lock')
  lock.acquire()
  try:
  do_something
  finally:
  lock.release()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Oct 11 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-9 
- Simplify mount_device().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Oct 11 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-8 
- remove unused api get_repo_free_space
  get_repo_free_space() is never used in Manager. And it doesn't make sense for
  NFS. remove it.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Wed Oct 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-7 
- Only backup cluster.conf for rollback; otherwise it is unnecessary as all
  operations are loggged.
  In rename_file(), always remove dst to avoid possible bugs during rollback.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Oct 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-6 
- remove error log in progress report thread 

* Wed Oct 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-5 
- Remove "admin" from the default password file.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 12954557] 

* Mon Oct 03 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0.3-4 
- remove sccaller code. 

* Thu Sep 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-3
- ovfxen: allow empty description
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13005139] 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.3-2
- enable ntpdate on ntpd start
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12999197] 

* Wed Sep 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.3-1 
- Log stdout data as well when run_cmd() fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri Sep 16 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.2-11 
- Changed logging.error to logging.exception on send and connect to log stack trace of the binding. [bug 12983608] 

* Thu Sep 15 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.2-10 
- Allow server removal when HB_CONFIGURED and server addition when CLUSTERED while in both cases the agent just does nothing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12715713] 

* Thu Sep 15 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.2-9 
- Allow ether port to be added to a single port bond which is a part bridge port [bug 12987000] 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.2-8 
- change monitor grace time to 3600
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Sep 08 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.2-7 
- ovs-agent-keygen: add help
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12954489] 

* Wed Sep 07 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.2-6 
- Continue pool filesystem creation when ocfs2 on the given volume is corrupted.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signd-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Aug 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.2-5 
- don't trace send_to_guest()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12922473] 

* Mon Aug 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.2-4 
- clean up after import assembly failed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0.2-3 
- use shutil.move() to replace os.rename()
  On OVM Server, os.rename() will fail if the src and dst are on different
  filesystems:
  #  python -c "import os; os.rename('/etc/hosts', '/boot/hosts')"
  Traceback (most recent call last):
  File "<string>", line 1, in ?
  OSError: [Errno 18] Invalid cross-device link
  When the dst is on different filesystem, shutil.move() will copy src to dst
  filesystem and then remove it.
  Thanks Jimmy Van Broeck <jimmy.van.broeck@oracle.com> to catch it on
  oVSStat.py: we create temporary file under /tmp, then move to
  /etc/monitor/config.yml. When /tmp and /etc are on different filesystems, this
  bug is triggered.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Aug 25 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0.2-2 
- The VM start time is now 5 minutes, this will make the time out less likely to
  occur, but will not cure it. As I explain to P.J and Rahul in a previous email
  VM start time varies  depending on system capacity and the size of VM memory.
  So to start VMs in parallel you should handle the time error and retry. [bug 12880651] 

* Thu Aug 25 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0.2-1
- Skip server membership status check in acquire_master_dlm_lock() to get rid of
  the unnecessary lock operations when a server joins or leaves a cluster.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Aug 16 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-568 
- don't raise exception when read poolfs info failed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 12875573] 

* Mon Aug 15 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-567 
- adds license header to source files.
  Also adds a copy of GPLv2 to LICENSE and removes some legacy VirtualIron
  license info from *.{c|h}.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 9388759] 

* Wed Aug 10 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-566 
- Set default values for o2cb sysconfig.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Sunil Mushran <sunil.mushran@oracle.com> 

* Mon Aug 08 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-565 
- fix tarfile detection.
  Python tarfile module treats empty files as tarball:
  # sh -x t.sh
  + touch test
  + python -c 'import tarfile; print tarfile.is_tarfile('''test''')'
  True
  + file -b -i test
  application/x-empty
  Ignore unsupported tar files when unpack. 

* Mon Aug 08 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.0-565 
- Update open-ovf version requirement
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>

* Mon Aug 08 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-564 
- fix vm test case 

* Mon Aug 08 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0-563 
- Added exclusions to lun list. 

* Fri Aug 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-562 
- Fix cluster configuration rollback.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Aug 04 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-561 
- Log stack trace when failing to send statistics.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 12832979] 

* Mon Aug 01 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-560 
- rollback to use tar command to extract tarball; pyton tarfile is too slow. 

* Fri Jul 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-559 
- Rmove file locks for cluster configuration update.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 12807260] 

* Fri Jul 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-558 
- fix some typos found by pylint
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Jul 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-557 
- get ovs version in new format.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Thu Jul 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-556 
- Fix incorrect sleep during master failover.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adna Misherfi <adnan.misherfi@oracle.com> [bug 12804608] 

* Thu Jul 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-555 
- Revert r6700 to r6694, except OVSCluster.py.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-554 
- Clean up userdlm domains before o2cb offline.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Sunil Mushran <sunil.mushran@oracle.com> 

* Thu Jul 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-553 
- Remove some debug code.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-552 
- log ovs version in to Agent log
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jul 28 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-551 
- The connection to the manager some times get into an invalid state, and returns
  "Session Invalid" error on send.  This error is a irrecoverable, so the notification
  server will try to reconnect to the manager immediately, and re-send failed notifications. [bug 12571875] 

* Thu Jul 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-550 
- Send the remaster event once again when master failover is confirmed in the next loop.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 12620499] 

* Wed Jul 27 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-549 
- Typo correction.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jul 27 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-548 
- Clean up userdlm domains before o2cb offline.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Sunil Mushran <sunil.mushran@oracle.com> [bug 12703852] 

* Tue Jul 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-547 
- fix password in log
  log record contains a 'msg' and a 'args' property, and the finally log message will be: msg % args
  We only scrub the 'msg' here, so we missed password in 'args'.
  E.g.: logging.debug('manager_core_api_url: %s', manager_core_api_url)
  msg = 'manager_core_api_url: %s'
  args = ('http://admin:welcome1@10.149.64.89:7001/ovm/core/OVMManagerCoreServlet',)
  This patch can fix this.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12791732] 

* Mon Jul 25 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-546 
- some console improvement:
  1) change colors to white/red instead of green red. takes care of the
  color blind people and white on black with red on black is fine. instead
  of doing a config file this is easier.
  2) remove seconds from uptime (per andrew thomas, if it doesn't increase
  every second it looks like something is wrong, so just doing day/hour
  minutes solves that)
  3) moved isclustered up and now display clusterstate in red only if
  cluster = true. today, if cluster is no it prints offline in red but
  that's silly and might cause people to think something's wrong when
  there isn't.
  Signed-off-by: Wim Coekaerts <wim.coekaerts@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri Jul 22 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-545 
- Sync DLM lock access.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Sunil Mushran <sunil.musharan@oracle.com> 

* Thu Jul 21 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-544 
- read stat_interval on every loop, so after a set_statistic_interval() it will
  take effect immediately.
  Before this patch, after a set_statistic_interval() call, the new interval will
  only take effect on next ovs-agent restart.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jul 20 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-543 
- Good find. Now the code allow removing the the primary interface only if it was the
  last interface in the bond, which is a very safe operation. [bug 12770121] 

* Wed Jul 20 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-542 
- use subprocess instead of system to start ntpd service
  The problem it solves: when os.system('service ntpd restart'), ntpd will
  inherit the socket (which listen on 8899).
  So if you stop Agent, you cannot start it again, as ntpd is listen on 8899.
  We use subprocess with close_fds=True fixes this problem.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed Jul 20 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-541 
- Exception handling in is_vm_running().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 12730495] 

* Wed Jul 20 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-540 
- import_template: return disk_id and original file name map
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 12753506] 

* Wed Jul 20 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-539 
- Typo correction.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 12761506] 

* Wed Jul 20 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-538 
- Log virtual IP auto-configuration.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed Jul 20 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-537 
- get_last_boot_time: return seconds only and add current local time
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Jul 19 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-536 
- set_ntp: substitute with manager src ip if the ip is 0.0.0.0
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jul 19 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-535 
- stats: return server_id instead of hostname.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 12762355] 

* Mon Jul 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-534 
- import_template: rename the imported iso from "xxx.img" to "xxx.iso".
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jul 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-533 
- stats: sort by mtime before sending
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Jul 15 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-532 
- Log cluster debug information before and after service o2cb online/offline.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Jul 14 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-531 
- Corrupt OCFS2 after pool filesystem deletion.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12729199] 

* Mon Jul 11 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-530 
- Do not log IPMI username/password.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 12725226] 

* Fri Jul 08 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-529 
- stat: move invalid dir check
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Jul 08 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-528 
- Fix missing import.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Jul 07 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-527 
- Change tabs to spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 07 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-526 
- If pool filesystem initialization fails on ovs-agent startup, reload the
  monitor service to cleanup the broken monitor base directory symlink.
  Skip stats processing if the monitor base directory does not exist.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12729464] 

* Thu Jul 07 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-525 
- Fix missing import.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jul 06 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-524 
- Preserve broadcast address on the physical interface when adding a VLAN to it.
  Please not: The manager has not been using this command for a long time now.
  To create a vlan bridge; the manager create a VLAN first and add it a bridge. [bug 9656423] 

* Wed Jul 06 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-523 
- Log umount failure details with lsof instead of fuser.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed Jul 06 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-522 
- Fixed a race condition when using ifup/ifdown on a VLAN interface. And general clean code clean up. [bug 12713744] 

* Tue Jul 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-521 
- Enlarge pool filesystem.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jul 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-520 
- Refactor qlayer-monitor reload during cluster/pool setup.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jul 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-519 
- remove the lagacy ha_stats for HA
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jul 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-518 
- deploy_assembly(): return disk/iso map
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Jul 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-517 
- mkfs.ocfs2 skips active cluster check using --force.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12720931] 

* Mon Jul 04 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-516 
- Set timeout for connections in the HA moduble.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Jul 01 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-515 
- Log service o2cb status when it fails to online the cluster.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Jun 30 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-514 
- don't fail if remove the tmp dir failed
  This is a temporary fix for import template to nfs storage. Leaving an empty
  tmp/ dir in the template directory will not cause any problem. [bug 12694949] 

* Thu Jun 30 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-513 
- disable monitor plugin scan and change grace interval. [bug 12702745] 

* Thu Jun 30 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-512 
- change default monitor interval to 20 seconds
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Jun 30 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-511 
- close file on exception, otherwise will cause umount failure.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 12705637] 

* Wed Jun 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-510 
- Check free space before poolfs image creation.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 10242178] 

* Wed Jun 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-509 
- Remove the mount point after umount if it is empty.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  SIgned-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 10178991] 

* Wed Jun 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-508 
- change daemon umask to 077
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 10632811] 

* Wed Jun 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-507 
- No exception will be raised during VIP configuration when it is ready configured on the current server.
  - validate_virutal_ip() will simply return in this case
  - code refactoring: importing instead of duplicate code
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed Jun 29 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-506 
- Remove client socket timeout, keep it as blocking socket so we do not have to handle EAGAIN. [bug 12564271] 

* Wed Jun 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-505 
- stats: fix typo: _file to file_
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 12705617] 

* Tue Jun 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-504 
- stats: delete stats after notification sent successfully and send 256 items most on each notification
  This patch contains to changes:
  1) delete stats after notification sent successfully: then if Manager is down, all the stats will not lose.
  2) send 256 items most on each notification: currently we send all the existing on disk stats in one notification, this maybe up to 1G if the stats have been accumulated for months. With this patch, we'll send the 256 items per notification and delete them until all of them are sent to Manager.
  The average size of each stat file is 4K (in my host), so the maximum notification will be about 1M.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12701376] 

* Tue Jun 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-503 
- add more log for manager source ip
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jun 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-502 
- add some more debug log. 

* Mon Jun 27 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-501 
- New API: ocfs2_get_meta_data().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jun 27 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-500 
- New API: is_cluster_online().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jun 27 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-499 
- correct uptime calculation for console.
  Signed-off-by: Wim Coekaerts <wim.coekaerts@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Jun 22 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0-498 
- Added logout target and delete portal to allow orphaned lun cleanup. 

* Tue Jun 21 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-497 
- add console tool
  Signed-off-by: Wim Coekaerts <wim.coekaerts@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jun 21 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-496 
- fix python file indentation
  This patch:
  1. removes trailing spaces
  2. removes trailing empty lines
  3. change all files into 4-space indented
  4. no change to any logic
  run:
  $ /share/repos/python/Tools/scripts/reindent.py -r -v . agtctl scripts/*
  and get this patch (with some post modifications, e.g., we don't want to
  change utils/conf.py and utils/timezoneBackend.py, which are from other
  package).
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jun 21 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-495 
- Log details when authentication fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jun 21 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-494 
- Exception handling for mount/umount during cluster creation/destruction.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jun 21 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-493 
- Error handling for umount_device().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jun 21 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-492 
- Network configuration may cause virtual IP lost.
  Re-configure virtual IP automatically in this case.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jun 21 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-491 
- Support different cluster names.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Jun 16 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0-490 
- Fix indent 

* Thu Jun 16 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0-489 
- Added deviceResize [bug 12620020] 

* Thu Jun 16 2011 Cathy Avery <cathy.avery@oracle.com> - 3.0-488 
- Added deviceResize call [bug 12620020] 

* Tue Jun 14 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-487 
- Use fuser with --mount to list all processes accessing files on the filesystem.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jun 13 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-486 
- Fixes send_error() when authentication fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Jun 13 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-485 
- Small change 

* Mon Jun 13 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-484 
- If the IP address in command update_core_api_bindings is of form 0.0.0.0
  replace it with the src IP found in the XMLRPC, which is the source address
  of sending manager. 

* Fri Jun 10 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-483 
- Eliminates unnecessary pool filesystem access during authentication.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12610060] 

* Fri Jun 10 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-482 
- move ovs-agent service stop priority to 00
  Then ovs-agent will stop before xendomains service. While xendomains service
  shutting down domains on stop, ovs-agent HA will not start it.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 08 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-481 
- Update the server pool test script.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Jun 06 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-480 
- Fixes an import error.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12619795] 

* Mon Jun 06 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-479 
- This problem was caused by a change in the bonding new driver to /proc/net/bonding [bug 12623578] 

* Mon Jun 06 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-478 
- Unlike older kernels where new bonds inherits the miimon settings of the original bond,
  in the newer kernels these settings must be set explicitly for each bond. [bug 12617240] 

* Wed Jun 01 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-477 
- Fixes a timing issue during cluster configuration update.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12608030] 

* Tue May 31 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-476 
- make repository erase only accept boolean type.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com>
  Signed-off-by: Roger Crerie <roger.crerie@oracle.com> 

* Fri May 27 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-475 
- encode log contents in base64.
  This can prevent some special control characters from messing up the xml.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Roger Crerie <roger.crerie@oracle.com> 

* Thu May 26 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-474 
- Remove a check for "Invalid URL Request" on connect error, as send error to a manager that
  no longer exist will produce the same error. 

* Wed May 25 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-473 
- If connection to the manager fail because of wrong URL (host,username ,password),
  do not try to re-connect until the server gets new URL from the manager. [bug 12589780] 

* Mon May 23 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-472 
- list_vm: fix parsing with pci device attached
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon May 23 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-471 
- Fix origdev variable. [bug 12582966] 

* Mon May 23 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-470 
- Add limitation to key/value length.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Prochniak <steve.prochniak@oracle.com> [bug 12424391] 

* Wed May 18 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-469 
- Log details when umount fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>

* Wed May 18 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-468 
- try to reset the manager connect on error, or the manager shuts down

* Tue May 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-467 
- remove timestamp from discover.
  From Steve Noyes: We are trying a new technique to speed up discover using a
  checksum and having times change is defeating the purpose. I checked and we are
  not using this time info so it?226?128?153s OK to remove. If we find we need time at some
  point we will introduce a new command to get the time.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue May 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-466 
- Add unicode support to network meta.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue May 17 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-465 
- Fixes an incorrect variable name.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu May 12 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-464 
- Add debug to understand what type of notification causes the python binding to generate
  Permission denied error [bug 12315070] 

* Thu May 12 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-463 
- Fixed, This was caused by parse/sub for 0.0.0.0 in the URL [bug 12549155] 

* Thu May 12 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-462 
- Update cluster_remove_server().
  - sleep only before truncating db
  - update pool member list before sleep
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu May 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-461 
- make repository alias supports unicode.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Roger Crerie <roger.crerie@oracle.com> [bug 11897476] 

* Thu May 12 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-460 
- Code refactoring: get db home first to avoid multiple calls.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed May 11 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-459 
- Make repository erase accepts boolean type only.
  We keep backward compatible for two weeks and remove the hack then.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com>
  Signed-off-by: Roger Crerie <roger.crerie@oracle.com> 

* Wed May 11 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-458 
- Add the truncate option to create_db().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed May 11 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-457 
- Format the lock names in the same way on lock/unlock.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue May 10 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-456 
- Adding a VLAN to a bridge port did not work correctly in old Kernels. Now it is fine,
  so the restriction is removed from dom0. [bug 10608033] 

* Tue May 10 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-455 
- Changed the IP field for the unknown address in take ownership URL from
  "NotGiven" to "0.0.0.0" 

* Mon May 09 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-454 
- Substitute the source IP of incoming RPC for the IP field in the URL when this field is not
  know to the manager. (take owner ship command) 

* Fri May 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-453 
- clean up function fmt_err_msg() and randomMAC()
  fmt_err_msg() is a legacy function from 2.2. It does nothing right now and only
  used for logging in OVSAgentServer.py. So just remove it.
  randomMAC() is not used at all. Also this implementation doesn't seem right.
  Xensource is not exist now and maybe Oracle VM should have it's own OUI id.
  Anyway, remove it for now.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri May 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-452 
- improve scrub password.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 11813832&11058499] 

* Fri May 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-451 
- make log level change work.
  We should set log level in the client side instead of the log server side.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu May 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-450 
- Log mount/umount; Disable lazy umount.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu May 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-449 
- Code refactoring - rename internal functions.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu May 05 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-448 
- For statistics, do logging only when sending fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed May 04 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-447 
- Code refactoring - db access improvements.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed May 04 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-446 
- Code refactoring - replace get_cluster_state() with is_clustered().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed May 04 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-445 
- Code refactoring - replace sleep() with file locks.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed May 04 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-444 
- Changed the default value of MONITOR_SERVER_INTERVAL from 10 to 20 

* Wed May 04 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-443 
- Fixed a queue problem 

* Tue May 03 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-442 
- Added tolerance  to the notification server to handle short (90 second) connection outage.
  If send fail; the sever will try 5 more times once a second, if no successes it will re-queue packets for
  90 seconds, and try again. If after 90 sec still no success the queue will be flushed.
  Stats packets are not re-queued. 

* Tue May 03 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-441 
- Code refactoring. Internal function name changes.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri Apr 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-440 
- Uses file locks to avoid conflict between stats processing and monitor service setup.
  Fixes a code bug which incorrectly controls the monitor service on server addition/removal.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Apr 29 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-439 
- DB update on remaster: "pool_master_hostname" and "is_master".
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12337913] 

* Thu Apr 28 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-438 
- Fixed an UnboundLocalError: local variable 'take_crown' referenced before assignment.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12407875] 

* Tue Apr 26 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-437 
- Retry failed mounts of ocfs2 devices.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12376248] 

* Tue Apr 26 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-436 
- Disable tracing for list_vms().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Apr 26 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-435 
- Turn on stats notification 

* Tue Apr 26 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.0-434 
- Do not allow address change on bridge port, bond interfaces, and on the management interface. 

* Tue Apr 26 2011 Junjie Wei <junjie.wei@oracle.com> - 3.0-433 
- Bring up VIP when the agent boots up.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12370925] 

* Mon Apr 25 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-432
- Rebase
